#
# This file contains the make dependencies for the RPC function libraries
#	under OS9 local compilation
# Note CFLAGS has conditional switches for transport medium (TBL Dec90)
#
#	Written Volker Lindenstruth

CFLAGS = -gqsrk=2 -t=. $(CMDFLAGS) -v=$(DDIR) -v=$(DDIR)/inet -DTCP -DETHERNET -DV24

RFILES          = rpcrts.r ts.r rpc_v24_os9.r rpc_eth_os9.r cm_env.r rpc_os9.r
# SDIR does not work on include file dependency definitions
HFILES          = ../osk_specific.h ../rpc_code.h ../rpc_ts.h ../rpcheader.h \
                    ../system_specific.h
SECFILES        = rpcrts.c ts.c rpc_v24_os9.c rpc_eth_os9.c cm_env.c    \
                    rpc_os9.c makefile                                  \
                    osk_specific.h rpc_code.h rpc_ts.h rpcheader.h      \
                    system_specific.h
SECDIR          = ./sec
RDIR            = ./rels
LDIR            = /n0/lib
DDIR            = /n0/defs
ODIR            = /n0/LIB
SDIR            = ..
TARGET          = rpcfuncs
CMDFLAGS        =
TRAILER         =
MAKEOPTS        =
MAKE            = make
MAKEFLAGS       = -f=../makefile
CC              = cc

LFLAGS = -gqsik=2 -w=$(LDIR)

all :
    chd $(RDIR)_eth; \
        $(MAKE) $(MAKEFLAGS) $(TARGET) TRAILER=_eth $(MAKEOPTS)
    chd $(RDIR)_tcp; \
        $(MAKE) $(MAKEFLAGS) $(TARGET) TRAILER=_tcp $(MAKEOPTS) CMDFLAGS=-dTCP
    touch all

$(TARGET): $(RFILES)
        merge $(RFILES) >-$(TARGET)$(TRAILER).r
        attr $(TARGET)$(TRAILER).r -pr
        copy -rw=$(ODIR) $(TARGET)$(TRAILER).r

.sec:
    copy -rw=$(SECDIR) $(SECFILES)
    del *.bak
    touch .sec
#
# the source dependencies start here
#

cm_env.r        : cm_env.c  ../system_specific.h ../rpcheader.h ../rpc_code.h
    chd ..; $(CC) $(CFLAGS) $*.c -r=$(RDIR)$(TRAILER)

rpc_eth_os9.r   : rpc_eth_os9.c ../osk_specific.h ../rpcheader.h ../rpc_code.h
    chd ..; $(CC) $(CFLAGS) $*.c -r=$(RDIR)$(TRAILER)

rpc_os9.r       : rpc_os9.c
    chd ..; $(CC) $(CFLAGS) $*.c -r=$(RDIR)$(TRAILER)

rpc_v24_os9.r   : rpc_v24_os9.c
	chd ..; $(CC) $(CFLAGS) $*.c -r=$(RDIR)$(TRAILER)

rpcrts.r        : rpcrts.c      ../system_specific.h ../rpcheader.h../rpc_code.h
	chd ..; $(CC) $(CFLAGS) $*.c -r=$(RDIR)$(TRAILER)

ts.r            : ts.c          ../rpcheader.h ../rpc_code.h
	chd ..; $(CC) $(CFLAGS) $*.c -r=$(RDIR)$(TRAILER)

